## org.apache.lucene.benchmark.stats
Class MemUsage

    java.lang.Object
      org.apache.lucene.benchmark.stats.MemUsage

    public class MemUsage

extends java.lang.Object

This class holds a set of memory usage values.

Field Summary
`long` `avgFree`
`long` `avgTotal`
`long` `maxFree`
`long` `maxTotal`
`long` `minFree`
`long` `minTotal`

Constructor Summary
`MemUsage()`

Method Summary
`java.lang.String` `toScaledString(int div, java.lang.String unit)` Scale down the values by divisor, append the unit string.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### maxFree

    public long maxFree

### minFree

    public long minFree

### avgFree

    public long avgFree

### maxTotal

    public long maxTotal

### minTotal

    public long minTotal

### avgTotal

    public long avgTotal

Constructor Detail

### MemUsage

    public MemUsage()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toScaledString

    public java.lang.String toScaledString(int div,
                                           java.lang.String unit)

  Scale down the values by divisor, append the unit string.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.